#include "BehaviourScript.hpp"

namespace TSE
{
    BehaviourScript::BehaviourScript()
        : baseObject(nullptr), enabled(true) {}

    void BehaviourScript::SetEnabled(bool value) {
        enabled = value;
    }

    bool BehaviourScript::IsEnabled() const {
        return enabled;
    }

    void BehaviourScript::SetBaseObject(Transformable* obj) {
        baseObject = obj;
    }

    Transformable* BehaviourScript::GetTransform() const {
        return baseObject;
    }
} // namespace TSE
